# eric7.WebBrowser.VirusTotal.VirusTotalIpReportDialog

Module implementing a dialog to show the VirusTotal IP address report.

### Global Attributes

None

### Classes

VirusTotalIpReportDialog | Class implementing a dialog to show the VirusTotal IP address report.

### Functions

None

## VirusTotalIpReportDialog

Class implementing a dialog to show the VirusTotal IP address report.

### Derived from

QDialog, Ui_VirusTotalIpReportDialog

### Class Attributes

None

### Class Methods

None

### Methods

VirusTotalIpReportDialog | Constructor

### Static Methods

None

#### VirusTotalIpReportDialog (Constructor)

VirusTotalIpReportDialog(ip, owner, resolutions, urls, parent=None)

Constructor

ip (str)
  IP address
owner (str)
  owner of the IP address
resolutions (list of dict)
  list of resolved host names
urls (list of dict)
  list of detected URLs
parent (QWidget)
  reference to the parent widget

Up